<script>
import { useStockStore } from '@/Stock/stores/stock'
import IngredientCard from '@/Stock/components/IngredientCard.vue'
// import type { Stock } from '../types/stock'

const stockStore = useStockStore()
// const props = defineProps<{
//   stock: Stock
// }>()
</script>
<template>
  <div>
    <v-container>
      <v-row>
        <v-col cols="12" xl="3" md="4" sm="4" xs="6" v-if="stockStore.name">
          <IngredientCard></IngredientCard>
        </v-col>
        <v-col cols="12" xl="3" md="4" sm="4" xs="6" v-else v-for="item of stock" :key="item.id">
          <IngredientCard :stock="item"></IngredientCard>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>
